Class | Nokogiri::XML::DTD
In: | lib/nokogiri/ffi/xml/dtd.rb lib/nokogiri/xml/dtd.rb ext/nokogiri/html_document.c
Parent: | Node

Nokogiri::XML::DTD wraps DTD nodes in an XML document

### Methods

attributes elements entities notations validate

### Public Instance methods

attributes()

Return attributes for DTD. Always returns `nil`

elements

Get a hash of the elements for this DTD.

entities

Get a hash of the elements for this DTD.

notations

Get a hash of the notations for this DTD.

validate(document)

Validate `document` returning a list of errors

[Validate]